import React from 'react';
import AppStore from "./../../../stores/AppStore";

class Location extends React.Component {

  constructor(props) {
    super(props);

    this.state = {
      display: AppStore.getDisplay()
    };
    this.update = this.update.bind(this);
   }

  componentDidMount (){
    AppStore.load();
    AppStore.on("loaded", this.update);
  }

  update(){
    this.setState({
      display : AppStore.getDisplay(),
    })
  }

  render() {
    let map = null
    if(this.state.display){
      map = "/portals/download.php?mode=dl_media_file&me_id=" + this.state.display["di_pos_pic"];
    }

    return (
      <div id="location" className="main_view main_content">
        <img src={map} alt="location" />
      </div>
    );
  }
}

export default Location;
