import React from 'react';
import MSButton from "./../../../UI/MSButton"
import LanguageStore from "./../../../../stores/LanguageStore";

class CheckinButton extends React.Component {

  constructor(props){
    super(props)
    this.state ={
      action : props.action
    }
  }

  render() {
    return (
      <div className="checkin">
        <h2>{LanguageStore.translate("checkin_greeting_title")}</h2>
        <MSButton action={this.state.action} name={LanguageStore.translate("checkin_greeting_subtitle")} id="checkin_btn"/>
      </div>
    );
  }
}

export default CheckinButton
