import React from 'react';
import LanguageStore from "./../../../stores/LanguageStore";
import moment from 'moment';

class Late extends React.Component {

  constructor(props){
    super(props)
    this.state ={
      ap : props.ap,
      au : props.au
    }
  }

  componentDidMount (){
    setTimeout(function(){
      window.location.reload();
    },500000);
  }

  render() {
    console.log(this.state.ap)
    let  start = moment.unix(this.state.ap.ap_start_int).format('DD.MM.YYYY HH:mm');
    let  end = moment.unix(this.state.ap.ap_start_int).format('DD.MM.YYYY HH:mm');
    let date = "";
    if(start !== end && end !== "" && end !== undefined){
      date = start + " - " + end;
    }else{
      date = start;
    }
    return (
      <div id="welcome" className="main_content" >
        <h1>{LanguageStore.translate("checkin_too_late")}</h1>
        <h3>{LanguageStore.translate("termin")}: {this.state.ap.ap_title}</h3>
        <h3>{LanguageStore.translate("datum")}: {date}</h3>
      </div>
    );
  }
}

export default Late;
