import React from 'react';
import MSButton from "./../../../UI/MSButton"
import LanguageStore from "./../../../../stores/LanguageStore";

class CheckoutButton extends React.Component {

  constructor(props){
    super(props)
    this.state ={
      action : props.action
    }
  }

  render() {
    return (
      <div className="checkout">
        <h2>{LanguageStore.translate("checkin_greeting_title")}</h2>
        <MSButton action={this.state.action} name={LanguageStore.translate("checkout_greeting_subtitle")} />
      </div>
    );
  }
}

export default CheckoutButton
