import React from 'react';
import { Slider,  Menu} from '../../../src/components';
import DesignStore from "./../../stores/DesignStore";
import{Entry} from '../../../src/components';

class Main extends React.Component {

  constructor(props) {
  super(props);
  this.state = {
    clickHandler : props.handler,
    display : props.display,
    designs : DesignStore.getDesign()
  };

  this.update = this.update.bind(this)
}

update(){
  this.setState({
    designs : DesignStore.getDesign()
  })
}

componentDidMount (){
  DesignStore.on("design_loaded", this.update);
}

  render() {

    return (
      <div id="main" className="main_view" >
        <div className="row" id="menu">
          <Menu handler={this.state.clickHandler} display={this.state.display}  />
          <div className="backdoor">
            <Entry />
          </div>
        </div>
      </div>
    );
  }
}

export default Main;
