import React, { Component } from 'react';

class BackButton extends Component {
  render() {
    let buttonStyles = "";

    if(window.globals && window.globals.design){
      buttonStyles = {
        backgroundColor: window.globals.design.main_color
      };
    }

    return(
      <img id={this.props.id} className="backButton" onClick={this.props.action} src="/img/icons/back.svg" />
    )
  }
}

export default BackButton;
